<div class="container-fluid">
<button (click)="toggleMenu()" class="hamburger">
  <span>toggle menu</span>
</button>
<app-menu [@slideInOut]="menuState" testvar="sid"></app-menu>
    <div class="row">
        <div class="col-md-12 col-lg-8 offset-lg-2">
            <ba-card title="HOD" baCardClass="with-scroll">
                <ul style="list-style: disc; padding:0%">
                    <li *ngFor='let eligibleStaff of eligibleStaffList'>
                        <div class="row">
                            <div class="col-md-2 offset-md-1">
                                <img src="{{ imageBaseUrl }}{{ eligibleStaff.custom_user.avatar.thumbnail }}" alt="no-image" class="circluar-icon" />
                            </div>
                            <div class="col-md-6 vertical-center">
                                <h4>
                                    {{ eligibleStaff.first_name }} {{ eligibleStaff.middle_name}} {{eligibleStaff.last_name}}
                                </h4>
                            </div>
                            <div class="col-md-3 vertical-center text-center">
                                <button class="btn btn-success btn-small" [ngClass]="{'btn-danger': eligibleStaff.custom_user.is_approved }" (click)='ApproveUser(eligibleStaff)'>
                                    <div *ngIf='!eligibleStaff.custom_user.is_approved'>
                                    Activate
                                    </div>
                                    <div *ngIf='eligibleStaff.custom_user.is_approved'>
                                    Deactivate
                                    </div>
                                </button>
                                <!--<ba-checkbox></ba-checkbox>-->
                                <!--<button type="button" class="btn btn-success btn-outline btn-icon"><i class="ion-android-checkmark-circle"></i></button>-->
                                <!--<ui-switch></ui-switch>-->
                                <!--<label class="switch">
                    <input type="checkbox" id="togBtn">
                    <div class="slider round">
                        <span class="on">Approved</span><span class="off">deapproved
                            </span>
                    </div>
                </label>-->

                            </div>
                        </div>
                    </li>
                    <!--<hr>-->

                </ul>
            </ba-card>
        </div>
    </div>
</div>